Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.corba
Class UlcCorbaServant

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA.DynamicImplementation
                  |
                  +--com.ibm.ulc.corba.generated._UlcCorbaObjectImplBase
                        |
                        +--com.ibm.ulc.corba.UlcCorbaServant

public class UlcCorbaServant
extends com.ibm.ulc.corba.generated._UlcCorbaObjectImplBase

An implemention for a ULC Corba servant.

Constructor Summary
`UlcCorbaServant()` UlcCorbaServant constructor.

Method Summary
`java.lang.String` | `getApplicationName()`
`UlcTransport` | `getTransport()`
`void` | `sendAnyBytes(byte[] anyBytes)`
`void` | `setApplicationName(java.lang.String name)`
`void` | `setTransport(UlcCorbaBasedTransport transport)`

Methods inherited from class com.ibm.ulc.corba.generated._UlcCorbaObjectImplBase
`_ids, invoke`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UlcCorbaServant

    public UlcCorbaServant()

  UlcCorbaServant constructor.

Method Detail

### getApplicationName

    public java.lang.String getApplicationName()

### getTransport

    public UlcTransport getTransport()

### sendAnyBytes

    public void sendAnyBytes(byte[] anyBytes)

  Overrides:
    sendAnyBytes in class com.ibm.ulc.corba.generated._UlcCorbaObjectImplBase

### setApplicationName

    public void setApplicationName(java.lang.String name)

### setTransport

    public void setTransport(UlcCorbaBasedTransport transport)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD